%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-power-manager
Version:	43.0
Release:	%mkrel 1
Summary:	GNOME Power Manager
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://www.gnome.org/projects/gnome-power-manager/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.0
BuildRequires:	pkgconfig(gnome-keyring-1) >= 0.6.0
BuildRequires:	pkgconfig(cairo) >= 1.0.0
BuildRequires:	pkgconfig(upower-glib) >= 0.9.1
BuildRequires:	pkgconfig(libnotify) >= 0.7.0
BuildRequires:	xmlto
BuildRequires:	meson
BuildRequires:	docbook-utils
Requires:	adwaita-icon-theme
Requires:	upower

%description
GNOME Power Manager uses the information and facilities provided by Upower
displaying icons and handling user callbacks in an interactive GNOME session. 
GNOME Power Preferences allows authorised users to set policy and 
change preferences.

%prep
%autosetup -p1

#fix OnlyShowIn in .desktop file
sed -i -e 's|Unity;||g' data/*.desktop.in

%build
%meson
%meson_build

%install
%meson_install

#fix desktop file (missing ; as trailing char)
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

%check
%meson_test

%files -f %{name}.lang
%doc AUTHORS
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/glib-2.0/schemas/org.gnome.power-manager.gschema.xml
%{_datadir}/metainfo/*.appdata.xml


%changelog
* Sat Sep 24 2022 tv <tv> 43.0-1.mga9
+ Revision: 1892081
- Update to 43.0

* Thu Mar 31 2022 umeabot <umeabot> 3.32.0-4.mga9
+ Revision: 1836033
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 3.32.0-3.mga8
+ Revision: 1525452
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392438
- Rebuild with meson 0.50.1

* Sat Mar 09 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1373061
- new version 3.32.0

* Wed Sep 05 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1257208
- new version: 3.30.0

* Tue Feb 20 2018 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1203686
- new version 3.26.0

* Fri Sep 15 2017 tv <tv> 3.25.90-2.mga7
+ Revision: 1154368
- build with fixed deps

* Wed Aug 23 2017 ovitters <ovitters> 3.25.90-1.mga7
+ Revision: 1143633
- switch to meson
- new version 3.25.90

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094018
- new version 3.24.0

* Mon Nov 07 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065592
- new version 3.22.2

* Wed Oct 12 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060483
- new version 3.22.1

* Mon Sep 19 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054240
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.91-1.mga6
+ Revision: 1053803
- new version 3.21.91

* Tue Aug 02 2016 ovitters <ovitters> 3.20.0-2.mga6
+ Revision: 1044302
- remove unneeded dependency on gnome-mime-data

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993489
- new version 3.20.0

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961455
- new version 3.19.90

* Thu Feb 11 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 954126
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882774
- new release

* Wed Aug 19 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865864
- new version 3.17.90

* Mon Jun 22 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 839619
- new version 3.16.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 740217
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738317
- new version 3.14.1

* Mon Sep 29 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731701
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.90-3.mga5
+ Revision: 679748
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 dams <dams> 3.13.90-2.mga5
+ Revision: 666738
- rebuild for new libupower

* Mon Aug 18 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665033
- new version 3.13.90

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622124
- new version 3.12.2
+ wally <wally>
- require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607806
- new version 3.12.0

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593546
- new version 3.11.90

* Sun Feb 09 2014 dams <dams> 3.11.2-2.mga5
+ Revision: 586911
- rebuild for new upower

* Wed Feb 05 2014 ovitters <ovitters> 3.11.2-1.mga5
+ Revision: 583887
- new version 3.11.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542101
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 496961
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484786
- new version 3.10.0

* Sun Sep 15 2013 dams <dams> 3.9.92-1.mga4
+ Revision: 479803
- new version 3.9.92

* Sat May 25 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 427398
- update file list
- new version 3.8.2

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0-3.mga3
+ Revision: 352188
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 colin <colin> 3.6.0-2.mga3
+ Revision: 307356
- Change require to upower rather than devicekit-power which is obsolete

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297677
- new version 3.6.0
+ fwang <fwang>
- drop invalid reqs

* Fri Aug 24 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 283674
- new version 3.5.90

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226694
- new version 3.4.0
- new version 3.3.92

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184390
- new version 3.3.3
- clean .spec a bit

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155716
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148789
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145771
- fix file list
- new version 3.1.92

* Wed Aug 31 2011 wally <wally> 3.1.90-2.mga2
+ Revision: 137148
- rebuild due to package eating monster called BS

* Wed Aug 31 2011 wally <wally> 3.1.90-1.mga2
+ Revision: 137055
- fix .desktop file (remove Unity from OnlyShowIn category)
- new version 3.1.3
- clean BRs and use pkconfig() style
- drop unneeded post script
- clean .spec
+ fwang <fwang>
- update file list
- new version 3.1.90

* Mon Jul 04 2011 dmorgan <dmorgan> 3.1.2-1.mga2
+ Revision: 118364
- New version 3.1.2

* Sun Jun 19 2011 cjw <cjw> 3.0.2-1.mga2
+ Revision: 109530
- 3.0.2

* Thu Jan 20 2011 pterjan <pterjan> 2.32.0-1.mga1
+ Revision: 25752
- Fix BuildRequires for splitted out libcanberra-gtk
- imported package gnome-power-manager

